Bug 772972

Summary: supported platform documentation is confusing and partially conflicting
Product: [Other] RHQ Project Reporter: Tom Fonteyne <tfonteyn>
Component: DocumentationAssignee: Ken Johnson <kejohnso>
Status: ASSIGNED --- QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: low    
Version: 4.2CC: bkramer, dlackey, hrupp
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tom Fonteyne 2012-01-10 10:06:34 EST
There are two sources for this information:

[1] http://www.redhat.com/jboss_on/requirements/
[2] http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.0/html-single/Installation_Guide/index.html#Prerequisites

From [1]: "The following JVM version families, combined with an Operating System that supports that JVM, are considered fully supported in a virtual or real environment."
JBoss Operations Network 3.0
Sun JDK 	1.6.x
OpenJDK 	1.6.x
IBM JDK 	1.6.x

and further down:

"Note below that 'deprecated' refers to native support. The OS itself may continue to be supported with an appropriate JVM"

Red Hat Enterprise Linux 6 (latest update) 	x86, x86_64
Microsoft Windows 7, 2008 	x86, x86_64
Solaris 10 (deprecated) 	x86_64

=> the "deprecated" flagging causes confusion with some customers.
Deprecated, in the java world, normally means: still supported, but may be removed in a future version.

Proposal: make it more clear by wording it as follows:

"Note below that 'deprecated' refers to native support only. The OS itself, with an appropriate JVM, may continue to be supported in a future release.
However, while the native libraries are currently supported, they *may* be removed from a future release"

Aside of this, as far as we understand RHEL 5 is also still supported, so should be added back to the list.

The database section lists:
PostgreSQL 	8.2.4 and later

This needs to be updated to:
PostgreSQL  8.2.4 and later 8.2.x versions, 8.3, 8.4, and 9.0.

(The versions for postgress were taken from [2] in paragraph 2.1)


Now [2] adds to this confusion:

"JBoss Operations Network 3.0 introduces two new supported platforms for the JBoss ON server:"
    Red Hat Enterprise Linux 6 (32-bit and 64-bit)
    Microsoft Windows 2008 R2 (32-bit and 64-bit) 

This should be replaced with a simple copy of the above:

"The following JVM version families, combined with an Operating System that supports that JVM, are considered fully supported in a virtual or real environment. The JBoss ON server requires a JDK and the JBoss ON agent requires a JRE."
JBoss Operations Network 3.0
Sun JDK 	1.6.x
OpenJDK 	1.6.x
IBM JDK 	1.6.x

The following OS's are supported by the native libraries:
 
Red Hat Enterprise Linux 6 (latest update) 	x86, x86_64
Microsoft Windows 7, 2008 	x86, x86_64
Solaris 10 (deprecated) 	x86_64

"Note that 'deprecated' refers to native support only. The OS itself, with an appropriate JVM, may continue to be supported in a future release.
However, while the native libraries are currently supported, they *may* be removed from a future release"

Next is:

"JBoss Operations Network 3.0 also introduces a new supported database for the JBoss ON server:"
    PostgreSQL 9.0 

=> we should not cover the delta, but simply give the full list taken from [1]
Oracle 	    11g R2, 11gR2 RAC, 11g R1, 11g R1 RAC, 10g R2, 10g R1
PostgreSQL  8.2.4 and later 8.2.x versions, 8.3, 8.4, and 9.0.

The versions for postgress were taken from [2] in paragraph 2.1
Comment 1 Mike Foley 2012-01-16 15:41:01 EST
not ready to be fixed now, per 1/16/2012 triage
Comment 2 Deon Ballard 2012-02-28 19:11:18 EST
I've added some info back to the prereqs section here:
http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Operations_Network/3.0/html/3.0_Release_Notes/supported-platforms.html

That should be updated soon.

However, I'd like to leave the details on the JVM and OS support to the redhat.com page, since that is what product management controls. 

I'm kicking this bug over to Alan to determine what changes to make to the product pages.
Comment 3 Deon Ballard 2012-02-28 19:14:12 EST
Darn it. The release notes (the link in comment #2) are staying as they are. The *install* guide is updated here:
http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Operations_Network/3.0/html/Installation_Guide/Prerequisites.html